
!TOMethodSourceBrowser methodsFor: '*tode-gemstone-300-code' stamp: 'dkh 08/03/2011 15:44'!
accept: aString
	| newSelector |
	errorFlag := false.
	[ 
	[ self methodClass compileMethod: aString category: self methodCategory using: GsSession currentSession symbolList ]
		on: UndefinedSymbolNotification
		do: [ :ex | 
			"treat undefined symbols as compile errors"
			ex resume: false ] ]
		on: CompileError
		do: [ :ex | 
			errorFlag := true.
			methodSource := GsNMethod _sourceWithErrors: ex errorDetails fromString: aString.
			^ nil ].
	newSelector := (Behavior parseSelector: aString for: self methodClass) asSymbol.
	methodSource := nil.
	newSelector == self selectedMethodSelector
		ifTrue: [ ^ self ].
	self methodReference: (MethodReference class: self methodClass selector: newSelector)! !
